package ru.yandex.webmaster3.storage.robotstxt.exception;

import ru.yandex.webmaster3.storage.robotstxt.model.AnalyzeRobotsTxtErrorType;
import ru.yandex.webmaster3.storage.sitemap.service.model.AnalyzeSitemapErrorType;

/**
 * @author: ishalaru
 * DATE: 20.05.2019
 */
public class AnalisisRobotsTxtException extends RuntimeException {
    private final AnalyzeRobotsTxtErrorType error;

    public AnalisisRobotsTxtException(AnalyzeRobotsTxtErrorType error) {
        this.error = error;
    }

    public AnalyzeRobotsTxtErrorType getError() {
        return error;
    }
}
